Can't import Spring Tool Suite 4.10 from Eclipse Market Place

Genuitec :: Driving Development for Leading Organizations Support Forums Secure Delivery Center Getting Help Can't import Spring Tool Suite 4.10 from Eclipse Market Place

Tagged: 

This topic contains 3 replies, has 2 voices, and was last updated by  ignaciom 3 days, 4 hours ago.

Viewing 4 posts - 1 through 4 (of 4 total)
  • Author
    Posts
  • #672537 Reply

    pbagar2
    Participant

    Tried to import STS from Thrid Party Libs -> Elciplse market place. This is in the log:

    INFO: Active connection settings changed to ConnectionSettings NativeCommunicationsLibrary ServerURI: http://sdc.independenthealth.com:1305/ws/admin/ Proxies: [] Non Proxied Hosts: [localhost, 127.0.0.1, ::1, sdc.independenthealth.com] using extended timeouts: true
    Apr 02, 2021 3:46:07 PM com.genuitec.pulse.tools.delivery.admin.processors.ThirdPartyLibaryMirrorAndUploadJob run
    SEVERE: Could not import Spring Tools 4 (aka Spring Tool Suite 4) [5527-Bvb-0190]
    org.eclipse.core.runtime.CoreException: Could not import 5527-Bvb-0190 [4.10.0.202103111225]
    at com.genuitec.pulse.tools.delivery.admin.processors.ThirdPartyLibaryMirrorAndUploadJob.run(Unknown Source)
    at org.eclipse.core.internal.jobs.Worker.run(Worker.java:55)
    Caused by: java.lang.ArrayIndexOutOfBoundsException

    #672581 Reply

    pbagar2
    Participant

    Note it also fails if I try to use the STS update site as documented here:

    https://github.com/spring-projects/sts4/wiki/Installation#install-spring-tools-4-into-an-existing-eclipse-via-a-p2-repo

    Fails after selecting software to install. Message is “Failed to load license”

    #672588 Reply

    ignaciom
    Moderator

    Hey,

    Thanks for the heads up, unfortunately we’ll need a hotfix release to fix this issue. Please give us some time to work on this.

    Best Regards
    Ignacio
    SDC Support

    #672614 Reply

    ignaciom
    Moderator

    Hey,

    We have now released SDC 2021.02b just to fix this specific issue. The issue is that this site is exposing a requirement with no namespace this was not allowed on older versions of Eclipse.

    Let us know how this works for you

    Best Regards
    Ignacio
    SDC Support

Viewing 4 posts - 1 through 4 (of 4 total)
Reply To: Can't import Spring Tool Suite 4.10 from Eclipse Market Place

You must be logged in to post in the forum log in